DCMTK: DcmQueryRetrieveGetContext Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQueryRetrieveGetContext Class Reference

this class maintains the context information that is passed to the callback function called by DIMSE_getProvider. More...

## Public Member Functions
| DcmQueryRetrieveGetContext (DcmQueryRetrieveDatabaseHandle &handle, const DcmQueryRetrieveOptions &options, DIC_US priorstatus, T_ASC_Association *origassoc, DIC_US origmsgid, T_DIMSE_Priority prior, T_ASC_PresentationContextID origpresid)
| constructor
void | setOurAETitle (const char *ae)
| set the AEtitle under which this application operates
void | callbackHandler (OFBool cancelled, T_DIMSE_C_GetRQ *request, DcmDataset *requestIdentifiers, int responseCount, T_DIMSE_C_GetRSP *response, DcmDataset **stDetail, DcmDataset **responseIdentifiers)
| callback handler called by the DIMSE_storeProvider callback function.

## Private Member Functions
| DcmQueryRetrieveGetContext (const DcmQueryRetrieveGetContext &other)
| private undefined copy constructor
DcmQueryRetrieveGetContext & | operator= (const DcmQueryRetrieveGetContext &other)
| private undefined assignment operator

## Private Attributes
DcmQueryRetrieveDatabaseHandle & | dbHandle
| reference to database handle
const DcmQueryRetrieveOptions & | options_
| reference to Q/R service options
DIC_US | priorStatus
| prior DIMSE status
T_ASC_Association * | origAssoc
| pointer to association on which the C-GET-RQ was received
OFBool | assocStarted
| true if the association was started
T_ASC_PresentationContextID | origPresId
| presentation context id of request
DIC_US | origMsgId
| message id of request
OFString | origAETitle
| title of requestor
DIC_NODENAME | origHostName
| hostname of requestor
T_DIMSE_Priority | priority
| priority of request
OFString | ourAETitle
| our current title
char * | failedUIDs
| instance UIDs of failed store sub-ops
DIC_US | nRemaining
| number of remaining sub-operations
DIC_US | nCompleted
| number of completed sub-operations
DIC_US | nFailed
| number of failed sub-operations
DIC_US | nWarning
| number of completed sub-operations that causes warnings
OFBool | getCancelled
| true if the get sub-operations have been cancelled

## Detailed Description

this class maintains the context information that is passed to the callback function called by DIMSE_getProvider.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveGetContext()

DcmQueryRetrieveGetContext::DcmQueryRetrieveGetContext | ( | DcmQueryRetrieveDatabaseHandle & | handle,
|  | const DcmQueryRetrieveOptions & | options,
|  | DIC_US | priorstatus,
|  | T_ASC_Association * | origassoc,
|  | DIC_US | origmsgid,
|  | T_DIMSE_Priority | prior,
|  | T_ASC_PresentationContextID | origpresid )
| inline

constructor

Parameters

  handle | reference to database handle
  options | options for the Q/R service
  priorstatus | prior DIMSE status
  origassoc | pointer to DIMSE association
  origmsgid | DIMSE message ID
  prior | DIMSE priority
  origpresid | presentation context ID

References assocStarted, dbHandle, failedUIDs, getCancelled, nCompleted, nFailed, nRemaining, nWarning, options_, origAETitle, origAssoc, origHostName, origMsgId, origPresId, ourAETitle, priority, and priorStatus.

Referenced by DcmQueryRetrieveGetContext(), and operator=().

## Member Function Documentation

## ◆ callbackHandler()

void DcmQueryRetrieveGetContext::callbackHandler | ( | OFBool | cancelled,
|  | T_DIMSE_C_GetRQ * | request,
|  | DcmDataset * | requestIdentifiers,
|  | int | responseCount,
|  | T_DIMSE_C_GetRSP * | response,
|  | DcmDataset ** | stDetail,
|  | DcmDataset ** | responseIdentifiers )

callback handler called by the DIMSE_storeProvider callback function.

Parameters

  cancelled | (in) flag indicating whether a C-CANCEL was received
  request | original get request (in)
  requestIdentifiers | original get request identifiers (in)
  responseCount | get response count (in)
  response | get response (out)
  stDetail | status detail for get response (out)
  responseIdentifiers | get response identifiers (out)

## ◆ setOurAETitle()

void DcmQueryRetrieveGetContext::setOurAETitle | ( | const char * | ae | ) |
| inline

set the AEtitle under which this application operates

Parameters

  ae | AEtitle, is copied into this object.

References ourAETitle.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbg.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2